# all files / ol/format/filter/ isnull.js

83.33% Statements 5/6
100% Branches 0/0
0% Functions 0/1
83.33% Lines 5/6

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    201×

    1×
    1×

    1×

    1×
     goog.provide('ol.format.filter.IsNull');

    goog.require('ol');
    goog.require('ol.format.filter.Comparison');

    /**
     * @classdesc
     * Represents a `<PropertyIsNull>` comparison operator.
     *
     * @constructor
     * @param {!string} propertyName Name of the context property to compare.
     * @extends {ol.format.filter.Comparison}
     * @api
     */
    ol.format.filter.IsNull = function(propertyName) {
      ol.format.filter.Comparison.call(this, 'PropertyIsNull', propertyName);
    };
    ol.inherits(ol.format.filter.IsNull, ol.format.filter.Comparison);